Summary:	Simple Python Interface to Bugs in Launchpad
Name:		python-launchpad-bugs
Version:	0.3.5
Release:	4
License:	GPL v2/LGPL
Group:		Development/Languages/Python
Source0:	ftp://ftp.ubuntu.com/ubuntu/pool/main/p/python-launchpad-bugs/%{name}_%{version}.tar.gz
# Source0-md5:	2751fafafe83031dc7ac5df999fed134
URL:		https://launchpad.net/python-launchpad-bugs
Patch0:		%{name}-rpm.patch
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Classes to access bug information in Launchpad.

%prep
%setup -q -n main
%patch0 -p1

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%py_install

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO
%doc docs/*
%dir %{py_sitescriptdir}/launchpadbugs
%{py_sitescriptdir}/launchpadbugs/*.py[co]
%{_examplesdir}/%{name}-%{version}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/python_launchpad_bugs-*.egg-info
%endif
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-launchpad-bugs.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ee8d7dc
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7448d69
- automatic change: use py_build/py_install macros

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 80b96bf
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ab6f38
- release 2

* Mon Apr 27 2009 Elan Ruusamäe <glen@pld-linux.org> 8f3a04b
- example sto %{_examplesdir}

* Mon Apr 27 2009 Elan Ruusamäe <glen@pld-linux.org> 8727168
- py2.4 compatible

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 46e4975
- up to 0.3.5
- rpm.patch updated
- %files

* Sat Mar 14 2009 duddits <duddits@pld-linux.org> 5d5cab8
- up to fit 0.3.5

* Sun Oct 12 2008 Patryk Zawadzki <patrys@room-303.com> 5c186f3
- rel 1

* Thu Apr 24 2008 Elan Ruusamäe <glen@pld-linux.org> a830a27
- add rpm patch

* Thu Apr 24 2008 Elan Ruusamäe <glen@pld-linux.org> 8bb889b
- be rpm agnostic instead of apt

* Thu Apr 24 2008 Elan Ruusamäe <glen@pld-linux.org> 85d2889
- new

